{
  description = "k8s-and-chill - Talos + myks managed Kubernetes cluster";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        devShells.default = pkgs.mkShell {
          packages = with pkgs; [
            mkcert
            talosctl
            kubectl
            kubernetes-helm
            myks
            hcloud
            sops
            age
            minikube
            docker
            postgresql
          ];
        };
      });
}
